Thanks for your answers!!!

I already wanted to paste my env data, error logs, etc.
But your comment  "this problem is specific to my web server" kept me
trying.

Turns out, I had to add

require 'rubygems'

in my dispatch.fcgi

Everything seems to work better now :-)

I can see the admin login in my browser, but: I can't setup the database
now, because of some memory errors.
But even during "gem install radiant", I get this error:

      .
>       .
>       create  config/environment.rb
>       create  config/boot.rb
>       create  config/initializers/radiant_config.rb
> /usr/local/ruby/lib/ruby/gems/1.8/gems/bundler-1.0.21/lib/bundler/remote_specification.rb:16:in
> `initialize': failed to allocate memory (NoMemoryError)
>     from
> /usr/local/ruby/lib/ruby/gems/1.8/gems/bundler-1.0.21/lib/bundler/source.rb:237:in
> `new'
>     from
> /usr/local/ruby/lib/ruby/gems/1.8/gems/bundler-1.0.21/lib/bundler/source.rb:237:in
> `remote_specs'
>     from
> /usr/local/ruby/lib/ruby/gems/1.8/gems/bundler-1.0.21/lib/bundler/source.rb:235:in
> `each'
>     from
> /usr/local/ruby/lib/ruby/gems/1.8/gems/bundler-1.0.21/lib/bundler/source.rb:235:in
> `remote_specs'
>     from
> /usr/local/ruby/lib/ruby/gems/1.8/gems/bundler-1.0.21/lib/bundler/source.rb:253:in
> `each'
>     from
> /usr/local/ruby/lib/ruby/gems/1.8/gems/bundler-1.0.21/lib/bundler/source.rb:253:in
> `fetch_all_remote_specs'
>     from
> /usr/local/ruby/lib/ruby/gems/1.8/gems/bundler-1.0.21/lib/bundler/source.rb:234:in
> `remote_specs'
>     from
> /usr/local/ruby/lib/ruby/gems/1.8/gems/bundler-1.0.21/lib/bundler/source.rb:231:in
> `each'
>     from
> /usr/local/ruby/lib/ruby/gems/1.8/gems/bundler-1.0.21/lib/bundler/source.rb:231:in
> `remote_specs'
>     from
> /usr/local/ruby/lib/ruby/gems/1.8/gems/bundler-1.0.21/lib/bundler/source.rb:165:in
> `fetch_specs'
>     from
> /usr/local/ruby/lib/ruby/gems/1.8/gems/bundler-1.0.21/lib/bundler/source.rb:70:in
> `specs'
>     from
> /usr/local/ruby/lib/ruby/gems/1.8/gems/bundler-1.0.21/lib/bundler/definition.rb:159:in
> `index'
>     from
> /usr/local/ruby/lib/ruby/gems/1.8/gems/bundler-1.0.21/lib/bundler/definition.rb:158:in
> `each'
>     from
> /usr/local/ruby/lib/ruby/gems/1.8/gems/bundler-1.0.21/lib/bundler/definition.rb:158:in
> `index'
>     from
> /usr/local/ruby/lib/ruby/gems/1.8/gems/bundler-1.0.21/lib/bundler/index.rb:7:in
> `build'
>     from
> /usr/local/ruby/lib/ruby/gems/1.8/gems/bundler-1.0.21/lib/bundler/definition.rb:157:in
> `index'
>     from
> /usr/local/ruby/lib/ruby/gems/1.8/gems/bundler-1.0.21/lib/bundler/definition.rb:151:in
> `resolve'
>     from
> /usr/local/ruby/lib/ruby/gems/1.8/gems/bundler-1.0.21/lib/bundler/definition.rb:90:in
> `specs'
>     from
> /usr/local/ruby/lib/ruby/gems/1.8/gems/bundler-1.0.21/lib/bundler/definition.rb:85:in
> `resolve_remotely!'
>     from
> /usr/local/ruby/lib/ruby/gems/1.8/gems/bundler-1.0.21/lib/bundler/installer.rb:43:in
> `run'
>     from
> /usr/local/ruby/lib/ruby/gems/1.8/gems/bundler-1.0.21/lib/bundler/installer.rb:8:in
> `install'
>     from
> /usr/local/ruby/lib/ruby/gems/1.8/gems/bundler-1.0.21/lib/bundler/cli.rb:219:in
> `install'
>     from
> /usr/local/ruby/lib/ruby/gems/1.8/gems/bundler-1.0.21/lib/bundler/vendor/thor/task.rb:22:in
> `send'
>     from
> /usr/local/ruby/lib/ruby/gems/1.8/gems/bundler-1.0.21/lib/bundler/vendor/thor/task.rb:22:in
> `run'
>     from
> /usr/local/ruby/lib/ruby/gems/1.8/gems/bundler-1.0.21/lib/bundler/vendor/thor/invocation.rb:118:in
> `invoke_task'
>     from
> /usr/local/ruby/lib/ruby/gems/1.8/gems/bundler-1.0.21/lib/bundler/vendor/thor.rb:263:in
> `dispatch'
>     from
> /usr/local/ruby/lib/ruby/gems/1.8/gems/bundler-1.0.21/lib/bundler/vendor/thor/base.rb:386:in
> `start'
>     from
> /usr/local/ruby/lib/ruby/gems/1.8/gems/bundler-1.0.21/bin/bundle:13
> Fetching source index for http://rubygems.org/
>       readme  ../../../../INSTALL.md
> # Installation and Setup
>
> From within the directory containing your Radiant instance:
>
> 1. Decide which database you want to use. SQLite is configured by default
> and
>    the easiest way to get started. If you want to use another database:
>    - Enable your preferred database adapter in the Gemfile
>    - Run `bundle update`
>
> 2. Run `bundle exec rake production db:bootstrap` to initialize the
> database
>

Is this something serious or can I ignore it?!

Reply via email to